package com.dcs.hnyz.service;

import java.util.List;
import com.dcs.hnyz.domain.ActionConfig;

/**
 * 动作配置管理Service接口
 * 
 * @author hmy
 * @date 2025-04-28
 */
public interface IActionConfigService 
{
    /**
     * 查询动作配置管理
     * 
     * @param actionId 动作配置管理主键
     * @return 动作配置管理
     */
    public ActionConfig selectActionConfigByActionId(Long actionId);

    /**
     * 查询动作配置管理列表
     * 
     * @param actionConfig 动作配置管理
     * @return 动作配置管理集合
     */
    public List<ActionConfig> selectActionConfigList(ActionConfig actionConfig);

    /**
     * 新增动作配置管理
     * 
     * @param actionConfig 动作配置管理
     * @return 结果
     */
    public int insertActionConfig(ActionConfig actionConfig);

    /**
     * 修改动作配置管理
     * 
     * @param actionConfig 动作配置管理
     * @return 结果
     */
    public int updateActionConfig(ActionConfig actionConfig);

    /**
     * 批量删除动作配置管理
     * 
     * @param actionIds 需要删除的动作配置管理主键集合
     * @return 结果
     */
    public int deleteActionConfigByActionIds(Long[] actionIds);

    /**
     * 删除动作配置管理信息
     * 
     * @param actionId 动作配置管理主键
     * @return 结果
     */
    public int deleteActionConfigByActionId(Long actionId);
}
